import { WritrOptions } from './options.js';
import { type GithubData } from './github.js';
export type WritrData = {
    siteUrl: string;
    siteTitle: string;
    siteDescription: string;
    sitePath: string;
    templatePath: string;
    outputPath: string;
    github?: GithubData;
    templates?: WritrTemplates;
};
export type WritrTemplates = {
    index: string;
    releases: string;
};
export declare class WritrBuilder {
    private readonly _options;
    private readonly _ecto;
    private readonly _console;
    constructor(options?: WritrOptions, engineOptions?: any);
    get options(): WritrOptions;
    build(): Promise<void>;
    validateOptions(options: WritrOptions): void;
    getGithubData(githubPath: string): Promise<GithubData>;
    getTemplates(options: WritrOptions): Promise<WritrTemplates>;
    getTemplateFile(path: string, name: string): Promise<string | undefined>;
    buildRobotsPage(options: WritrOptions): Promise<void>;
    buildSiteMapPage(data: WritrData): Promise<void>;
    buildIndexPage(data: WritrData): Promise<void>;
    buildReleasePage(data: WritrData): Promise<void>;
    buildReadmeSection(data: WritrData): Promise<string>;
}
