export type GithubOptions = {
    api?: string | undefined;
    author: string;
    repo: string;
};
export type GithubData = {
    releases: Record<string, unknown>;
    contributors: Record<string, unknown>;
};
export declare class Github {
    options: {
        api: string;
        author: string;
        repo: string;
    };
    constructor(options: GithubOptions);
    getData(): Promise<GithubData>;
    getReleases(): Promise<any>;
    getContributors(): Promise<any>;
    parseOptions(options: GithubOptions): void;
    private addAnchorLink;
}
