/// <reference types="node" />
/// <reference types="node" />
import type http from 'node:http';
import { WritrOptions } from './options.js';
export default class Writr {
    private _options;
    private readonly _console;
    private _configFileModule;
    private _server;
    constructor(options?: WritrOptions);
    get options(): WritrOptions;
    set options(value: WritrOptions);
    get server(): http.Server | undefined;
    get configFileModule(): any;
    checkForUpdates(): void;
    execute(process: NodeJS.Process): Promise<void>;
    isSinglePageWebsite(sitePath: string): boolean;
    generateInit(sitePath: string): void;
    getVersion(): string;
    loadConfigFile(sitePath: string): Promise<void>;
    serve(options: WritrOptions): Promise<void>;
}
export { WritrHelpers } from './helpers.js';
